<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:template match="/">
	    <links>
	    	<xsl:apply-templates select="rowset/row"/>
	    </links>
    </xsl:template>
								    
    <xsl:template match="row">
	<link>
	    <xsl:attribute name="id"><xsl:value-of select="id"/></xsl:attribute>	    
	    <nm><xsl:value-of select="name"/></nm>
	    <xsl:copy-of select="name"/>
	    <xsl:if test="boolean(keggid)">
	        <BN><xsl:value-of select="keggid"/></BN>
	    </xsl:if>
	    <xsl:copy-of select="sn"/>	    
	    <xsl:apply-templates select="dtlist/dtlist_item"/>
	    <xsl:apply-templates select="sylist/sylist_item"/>
	</link> 
    </xsl:template>
    
    <xsl:template match="dtlist_item">
	<xsl:copy-of select="dt"/>
    </xsl:template>

    <xsl:template match="sylist_item">
	<sy><xsl:value-of select="name"/></sy>
    </xsl:template>
    
    
</xsl:stylesheet>