<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    
    <xsl:key name="oss" match="//object/repressor" use="@id"/>
    	
    <xsl:template match="/diagram">
	<nodelist>
	    <xsl:for-each select="//repressor[generate-id(.)=generate-id(key('oss', @id))]">
	        <node>
	    	    <xsl:attribute name="name">
			<xsl:if test="name"><xsl:value-of select="name"/></xsl:if>
		        <xsl:for-each select="sy"> : <xsl:value-of select="."/></xsl:for-each>
		    </xsl:attribute>
		    <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
		</node>
	    </xsl:for-each>
	</nodelist>
    </xsl:template>
    
</xsl:stylesheet>
																							