<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:template match="/">
	    <links>
	    	<xsl:apply-templates select="rowset/row"/>
	    </links>
    </xsl:template>
								    
    <xsl:template match="row">
	<link>
	    <xsl:copy-of select="title"/>
	    <xsl:copy-of select="authors"/>	    
	    <xsl:copy-of select="year"/>	    
	    <xsl:copy-of select="pages"/>	    
	    <xsl:apply-templates select="dtlist/dtlist_item"/>	    
	    <xsl:if test="journal">
		<journal><xsl:attribute name="id"><xsl:value-of select="journal"/></xsl:attribute></journal>
	    </xsl:if>
	</link> 
    </xsl:template>
    
    <xsl:template match="dtlist_item">
        <xsl:copy-of select="dt"/>
    </xsl:template>
    
</xsl:stylesheet>
