<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:template match="/">
	    <links>
	    	<xsl:apply-templates select="rowset/row"/>
	    </links>
    </xsl:template>
								    
    <xsl:template match="row">
	<link>
<!--	    <xsl:copy-of select="id"/>-->
	    <name><xsl:value-of select="nm"/></name>
	    <xsl:apply-templates select="dtlist/dtlist_item"/>
	    <xsl:apply-templates select="cclist/cclist_item"/>
	    <xsl:apply-templates select="sylist/sylist_item"/>
	    <xsl:apply-templates select="reflist/reflist_item"/>
	</link> 
    </xsl:template>
    
    <xsl:template match="dtlist_item">
	<xsl:copy-of select="dt"/>
    </xsl:template>
    
    <xsl:template match="cclist_item">
        <xsl:copy-of select="cc"/>
    </xsl:template>

    <xsl:template match="sylist_item">
        <sy><xsl:value-of select="name"/></sy>
    </xsl:template>

    
    <xsl:template match="reflist_item">
	<xsl:copy-of select="ref"/>
    </xsl:template>
    
    
</xsl:stylesheet>