<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    
    <xsl:key name="oss" match="//object/os" use="@id"/>
    	
    <xsl:template match="/diagram">
	<nodelist>
	    <xsl:for-each select="//os[generate-id(.)=generate-id(key('oss', @id))]">
	        <node>
	    	    <xsl:attribute name="name">
		        <xsl:value-of select="Latin"/>
		        <xsl:if test="english"> : <xsl:value-of select="english"/></xsl:if>
		    </xsl:attribute>
		    <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
		</node>
	    </xsl:for-each>
	</nodelist>
    </xsl:template>
    
</xsl:stylesheet>
																							