<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:template match="/">
	    <links>
	    	<xsl:apply-templates select="rowset/row"/>
	    </links>
    </xsl:template>
								    
    <xsl:template match="row">
	<link>
	    <xsl:attribute name="id"><xsl:value-of select="id"/></xsl:attribute>
	    <Latin><xsl:value-of select="latin"/></Latin>
	    <xsl:apply-templates select="english/english_item"/>
	</link> 
    </xsl:template>
    
    <xsl:template match="english_item">
	<English><xsl:value-of select="name"/></English>
    </xsl:template>
</xsl:stylesheet>
