<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
version="1.0">

	
	<xsl:template match="/">
	    <nodelist>
		<xsl:apply-templates  select="rowset/row"/>
	    </nodelist>
	</xsl:template>
	
	<xsl:template match="row">
		<node>
			<xsl:attribute name="name">
			    <xsl:choose>
				<xsl:when test="./nm">
				    <xsl:value-of select="./nm"/>
				</xsl:when>
                                <xsl:otherwise>[unnamed]</xsl:otherwise>
			    </xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="id">
			    <xsl:value-of select="./id"/>
			</xsl:attribute>
			<xsl:attribute name="type">4</xsl:attribute>
		</node>
		
	</xsl:template>
						
</xsl:stylesheet>
