<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
					 	xmlns:compartment="http://wwwmgs.bionet.nsc.ru/compartmentnamespace"
						version="1.0">

	<xsl:template match="/repressor">
		<repressor>
			<xsl:apply-templates select="object"/>
		</repressor>
	</xsl:template>
	
	
    <xsl:template match="object">
	
	<name>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="boolean(string-length(name/text()) = 0)"/>
	    </xsl:attribute>
	</name>
	
    <xsl:for-each select="sy">
        <xsl:choose>
            <xsl:when test="count(../sy[text()=current()/text()]) > 1">
                <sy invalid="true"/>
            </xsl:when>
    	    <xsl:otherwise>
	        <sy>
	            <xsl:attribute name="invalid"><xsl:value-of select="boolean(string-length(./text()) = 0) or boolean(./text() = ../sn/text())  or boolean(./text() = ../name/text())"/></xsl:attribute>
	        </sy>
	    </xsl:otherwise>
	</xsl:choose>
    </xsl:for-each>
																						    
	<xsl:for-each select="total_comment_item">
            <total_comment_item>
	        <xsl:attribute name="invalid">
	            <xsl:choose>
	                <xsl:when test="boolean(ref)">
	            	    <xsl:value-of select="boolean(boolean(string-length(cc/text()) = 0) or not(boolean(ref/@id)))"/>
		        </xsl:when>
			<xsl:otherwise>
			    <xsl:value-of select="boolean(string-length(cc/text()) = 0)"/>
			</xsl:otherwise>
		    </xsl:choose>
	        </xsl:attribute>
	    </total_comment_item>
	</xsl:for-each>

	<xsl:for-each select="ref">
	<ref>
	    <xsl:attribute name="invalid">
		<xsl:value-of select="not(boolean(@id))"/>
	    </xsl:attribute>
	</ref>
	</xsl:for-each>

	
    </xsl:template>

</xsl:stylesheet>
