<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                	xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
					 	xmlns:compartment="http://wwwmgs.bionet.nsc.ru/compartmentnamespace"
						version="1.0">

	<xsl:template match="/species">
		<species>
			<xsl:apply-templates select="object"/>
		</species>
	</xsl:template>
	
	<xsl:template match="object">
	
	<Latin>
	    <xsl:attribute name="invalid">
                <xsl:value-of select="boolean(string-length(Latin/text()) = 0)"/>
            </xsl:attribute>			
	</Latin>

	<English>
	    <xsl:attribute name="invalid">
                <xsl:value-of select="boolean(string-length(English/text()) = 0)"/>
            </xsl:attribute>			
	</English>
	
	<taxonomy>
	    <xsl:attribute name="invalid">
                <xsl:value-of select="boolean(string-length(taxonomy/text()) = 0)"/>
            </xsl:attribute>			
	</taxonomy>

	<sn>
	    <xsl:attribute name="invalid">
                <xsl:value-of select="boolean(string-length(sn/text()) = 0)"/>
            </xsl:attribute>			
	</sn>
	
	</xsl:template>
	
</xsl:stylesheet>
